找回密码
 注册
楼主: haulm

MagicLinux 安装失败签到帖,请反馈安装失败的症状。

[复制链接]
发表于 2011-11-13 20:07:19 | 显示全部楼层
意思是安装程序自带格式化工具不能用?
回复 支持 反对

使用道具 举报

 楼主| 发表于 2011-11-13 20:15:28 | 显示全部楼层
原帖由 金艺 于 2011-11-13 20:07 发表
意思是安装程序自带格式化工具不能用?

不是,因为个别人出现的这种情况,估计是系统没完成格式化就进行安装了,MI 的Bug 是我没法克服的,你试一下能不能用其它工具格式出一个10G 的 ext3 分区,然后再安装。
原来 2.5.7 是可以制做 LiveCD ,有点难度,我想实在不行就硬着头皮试制 LiveCD。
回复 支持 反对

使用道具 举报

发表于 2011-11-14 10:55:14 | 显示全部楼层

回复 29# 金艺 的帖子

你是真机安装还是虚拟机安装?出错提示跟我的一样。现在看来至少有3个人出现这样的问题了。
回复 支持 反对

使用道具 举报

发表于 2012-1-3 07:48:58 | 显示全部楼层
实机和虚拟机安装都出现这个错误,先是图片一,跳过后就是图片二,iso文件MagicLinux-2.5.12-New-1.iso校验过,没错,不知道问题在哪里,请教

[ 本帖最后由 leruo 于 2012-1-3 07:50 编辑 ]

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
回复 支持 反对

使用道具 举报

 楼主| 发表于 2012-1-3 09:20:36 | 显示全部楼层
那个包跳过去能行么?又是MI问题么?我用 MI1 重压一个上传吧。。。反正手头还有 firefox 9 libpng 1.5 要升级。。。
那个BUG我解决不了,属于安装器问题。。。
回复 支持 反对

使用道具 举报

 楼主| 发表于 2012-1-3 09:40:30 | 显示全部楼层
你能否把安装的日志备份下来提交到论坛上来。
回复 支持 反对

使用道具 举报

发表于 2012-1-3 10:43:57 | 显示全部楼层
从第二张图开始跳过,一直跳到结束了  呵呵
这是虚拟机安装的,实机的等一下

[ 本帖最后由 leruo 于 2012-1-3 10:45 编辑 ]

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
回复 支持 反对

使用道具 举报

 楼主| 发表于 2012-1-3 12:07:21 | 显示全部楼层
题外话, libpng 又降回 1.2.x 去了,firefox9 还不用新版本的 libpng,HOHO,那个一直跳到结束的毛病我也遇到过,只是我不明白哈,当初是我遇到这种情况,sunshine 没遇到,现在变成我没遇到,但不少人遇到了,这个该死的 Bug。
虚拟机安装有可能运行不了 X ,虚拟机上 2.5.11 运行比较好,不过也是 MI2 安装器,肯定还要遇到那个Bug。

[ 本帖最后由 haulm 于 2012-1-3 12:10 编辑 ]
回复 支持 反对

使用道具 举报

发表于 2012-1-3 18:28:07 | 显示全部楼层
原帖由 leruo 于 2012-1-3 10:43 发表
从第二张图开始跳过,一直跳到结束了  呵呵
这是虚拟机安装的,实机的等一下

感谢leruo提供的log,已确定是bug
回复 支持 反对

使用道具 举报

发表于 2012-1-3 18:29:32 | 显示全部楼层
如果包的安装过程中不出现 pre script执行失败,这个bug也不会触发。
回复 支持 反对

使用道具 举报

 楼主| 发表于 2012-1-3 19:44:34 | 显示全部楼层
MI1 彻底过时了,我一加载 mbinitrd 系统就提示重启了,暂时等 sunshine 把 MI2 修正再说吧,我也有时间把 xorg 的错误修正一下。
回复 支持 反对

使用道具 举报

 楼主| 发表于 2012-1-3 19:47:29 | 显示全部楼层
原帖由 zy_sunshine 于 2012-1-3 18:29 发表
如果包的安装过程中不出现 pre script执行失败,这个bug也不会触发。

按这个说法,我进行包的调整也会减少失败对吧。比如图一那个包完全可以删掉的。
但为何有的机器对脚本没有这么敏感呢?》

[ 本帖最后由 haulm 于 2012-1-3 19:50 编辑 ]
回复 支持 反对

使用道具 举报

发表于 2012-1-3 21:46:55 | 显示全部楼层
MagicLinux-2.5.12-year-1.iso 的安装也和34楼的leruo出现相同的错误提示
回复 支持 反对

使用道具 举报

 楼主| 发表于 2012-1-4 08:30:25 | 显示全部楼层
原帖由 pps 于 2012-1-3 21:46 发表
MagicLinux-2.5.12-year-1.iso 的安装也和34楼的leruo出现相同的错误提示

如此说来,如果我去掉这个包应该就可以正常工作了,已经升级到 AGE 版了,升级了 firefox nss 之类,并且调整了一下 magic-first xxx,使用 lspci 和 X 指令脚本,直接对 VBOX 虚拟显卡 ATI、Nvidia 显卡进行默认的 xorg.conf 配置,VBOX 已经在 win 下测试可以安装完无需调整就进入桌面,ATI 卡会把 febdev 驱动改写成 dragon,我机子上测试正常并可以开启三唯桌面(febdev 也能开,但是定时闪屏)。Nvidia自动把驱动强制设为 nv 以避开 N 卡的开源驱动,防止黑屏。(N 卡是闭源的,目前反向工程并不很成功),N卡用户需要自行安装官方驱动。
如果有用户安装完系统仍然无法进入桌面,最好提供 lspci |grep VGA 列出来硬件信息,X -configure 写入 xorg.conf.new 中的显示驱动以及最后你正常运行桌面使用的驱动名。
回复 支持 反对

使用道具 举报

发表于 2012-1-4 09:46:26 | 显示全部楼层
我用虚拟机试的,还是不行
人品啊人品

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 注册

本版积分规则

GMT+8, 2022-8-18 00:13 , Processed in 0.180140 second(s), 13 queries .

© 2021 Powered by Discuz! X3.4.

快速回复 返回顶部 返回列表